Module javafx.graphics
Package javafx.scene.input

# Enum Class KeyCombination.ModifierValue

java.lang.Object
java.lang.Enum<KeyCombination.ModifierValue>
javafx.scene.input.KeyCombination.ModifierValue

All Implemented Interfaces:
  `Serializable`, `Comparable<KeyCombination.ModifierValue>`, `Constable`

Enclosing class:
  `KeyCombination`

public static enum KeyCombination.ModifierValue extends Enum<KeyCombination.ModifierValue>
`ModifierValue` specifies state of modifier keys.

Since:
  JavaFX 2.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANY`
Constant which indicates that the modifier key can be either up or down.
`DOWN`
Constant which indicates that the modifier key must be down.
`UP`
Constant which indicates that the modifier key must be up.

## Method Summary

Modifier and Type
Method
Description
`static KeyCombination.ModifierValue`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static KeyCombination.ModifierValue[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DOWN

public static final KeyCombination.ModifierValue DOWN
Constant which indicates that the modifier key must be down.

### UP

public static final KeyCombination.ModifierValue UP
Constant which indicates that the modifier key must be up.

### ANY

public static final KeyCombination.ModifierValue ANY
Constant which indicates that the modifier key can be either up or down.

## Method Details

### values

public static KeyCombination.ModifierValue[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static KeyCombination.ModifierValue valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null